computeDistanceMatrix <- function(X, G, H){
	HG <- H[as.logical(G),]
	NG <- nrow(HG)
	p <- ncol(HG)
	N <- nrow(X)
	distanceMatrix <- matrix(0, nr=N, nc=NG)
	for (i in 1:N){
		for (g in 1:NG){
			distanceMatrix[i,g] <- hammingDistance(X[i,], HG[g,])
		}
	}
	return(distanceMatrix)
}