	fitCbn <- function(idx, X, Y, P, epsStop=0.1, maxIter=100){
## Fit function for the CBN
		xTrain <- X[-idx,]
		xTest <- X[idx,]
		yTrain <- Y[-idx]
		yTest <- Y[idx]
		parIcbn <- guessParams(xTrain, yTrain, P)
		parIcbn <- doEm(xTrain, yTrain, parIcbn, eps=epsStop, maxIter=maxIter)
		parLr <- lm(yTrain~as.matrix(xTrain))$coef
		predictions <- predictPheno(xTest, yTest, parIcbn, parLr)
		return(list(predictions[1:4]))
	}
