`transitiveClosure` <-
function(poset){
## Returns the transitive closure of a set of relations,
## i.e., the minimal poset containing the relations
	p <- nrow(poset)
	for (i in 2:p){
		poset <- poset + matrixPower(poset, i)
	}
	poset <- apply(poset, 2, function(x) as.numeric(x>0))
	return(poset)
}

