weightMoves <- function(X, P){
	p <- ncol(P)
	alpha <- matrix(0, p, p)
	for (r in 1:p){
		for (c in 1:p){
			M <- P
			if (r != c) { # no self-loops allowed
				M[r,c] <- !P[r,c] # flip relation
				if (M[r,c]){ # cheange was ADD
					M <- hasse(M)
					if (isAcyclic(M)){ # No loop in new poset
						if (!M[r,c]){  # relation was removed
							cc <- 0
							for(i in 1:p){
								if(M[r,i] & M[i,c]){ # Check if single intermediate state, ie R1 -> j -> R2
									j <-  i
									cc <- cc+1
								}
							}
							if(cc == 1){
								M[j,c] <- 0 # Remove j -> R2
								M[r,c] <- 1 # Add R1 -> R2
							} else { # More than one intermediate state
								break	 # proposal is no good
							}
							M1 <- hasse(M)
							if (any(M1 != M) | (!isAcyclic(M1))){  # if removed or cyclic
			    			break # no good
			    		}
						}
						alpha[r,c] <- checkCompatibility(X, M)
					}
				} else { # Change was DELETE
 					M <- hasse(M)
					alpha[r,c] <- checkCompatibility(X, M)
				}
			}
		}
	}
	return(alpha)
}
