.onLoad <- function(libname, pkgname) {
  ver <- read.dcf(file=system.file("DESCRIPTION", package=pkgname), fields="Version")
  built <- read.dcf(file=system.file("DESCRIPTION", package=pkgname), fields="Built")
  builtComp <- unlist(strsplit(built, ";"))
  packageStartupMessage(paste("Package: " ,pkgname, ", Version: ", ver, 
                        ", Compiled with: ", builtComp[1], ", Platform:",
                        builtComp[4], ", Compiled on:", builtComp[3], sep=""))
  packageStartupMessage("Type icbnNews() to see new features/changes/bug fixes.")
}
