\name{hyperCubeNames}
\alias{hyperCubeNames}
\title{ Creates the names of the hypercube elements in lexicographic order. }
\description{
Creates a vector of mode character enumerating the elements of the hypercube.
}
\usage{
hyperCubeNames(n)
}
\arguments{
  \item{n}{ The number of events n. }
}
\value{
  Vector with the hypercube elements represented as character strings.
}
\author{ Patrick Knupfer }
\examples{
  (aux <- hyperCubeNames(3))
  str(aux)
}
\keyword{ utilities }

