\name{printParams}
\alias{printParams}
\title{
Prints out the parameter values.
}
\description{
Prints out the parameter values.
}
\usage{
printParams(params, message=NULL, extended=FALSE)
}
\arguments{
  \item{params}{
The paramter object from the EM algorithm.
}
  \item{message}{
Optional message which is printed to the console.
}
  \item{extended}{
Flag to print additional stuff to the console. Defaults to FALSE.
}
}
\details{
Prints out the parameter values.
}
\value{
Entries in the console.
}
\author{
Patrick Knupfer
}
\examples{
	P <- testPoset
	Y <- testData[,1]
	X <- testData[,-1]
	params <- guessParams(X, Y, P, thetas=NULL, epsilon=NULL, mus=NULL, sigma2=NULL)
	printParams(params, message="Message", extended=TRUE)
}
\keyword{ utilities }

