\name{testData}
\alias{testData}
\docType{data}
\title{
Test data for cross-checking against CBN paper.
}
\description{
4 events, genotype lattice with 7 nodes, 37 observations.
}
\usage{data(testData)}
\format{
  A data frame with 37 observations on the following 5 variables.
  \describe{
    \item{\code{y}}{Numeric phenotype}
    \item{\code{e1}}{Binary event 1}
    \item{\code{e2}}{Binary event 2}
    \item{\code{e3}}{Binary event 3}
    \item{\code{e4}}{Binary event 4}
  }
}
\details{
For testing purposes.
}
\source{
Made up data giving the results in the CBN paper.
}
\examples{
	str(testData)
}
\keyword{datasets}
