\name{zdv}
\alias{zdv}
\docType{data}
\title{
Zidovudine phenosense data.
}
\description{
Consists of 7 resistance relevant mutations and the log10 fold-change against ZDV.
}
\usage{data(zdv)}
\format{
  A data frame with 617 observations on the following 8 variables.
  \describe{
    \item{\code{log10FC(ZDV)}}{log10(FC) against ZDV.}
    \item{\code{41L}}{Indicator for protease mutation 41L.}
    \item{\code{67N}}{Indicator for protease mutation 67N.}
    \item{\code{69D}}{Indicator for protease mutation 69D.}
    \item{\code{70R}}{Indicator for protease mutation 70R.}
    \item{\code{210W}}{Indicator for protease mutation 210W.}
    \item{\code{215Y}}{Indicator for protease mutation 215Y.}
    \item{\code{219Q}}{Indicator for protease mutation 219Q.}
  }
}
\examples{
	str(zdv)
}
\keyword{datasets}
