checkCompatibility <- function(X, P){
  N <- nrow(X)
  p <- ncol(X)
	E <- p-(1:p) # index of g  ==  1 + sum(pow2(g, E))
	N_H <- 2^p # size of hypercube
	D <- rep(0, N_H) # raw phenotype data, organized in the hypercube
	for (i in 1:N){
		idx = 1 + sum(X[i,]*2^E)
		D[idx] = D[idx] +1
	}
	H <- hyperCube(p)
	G <- orderIdeals(H, P)$G
	return(sum(D[as.logical(G)])/sum(D))
}