comparePosets <- function(pTrue, pTest){
	pTrue <- transitiveClosure(pTrue)
	pTest <- transitiveClosure(pTest)
	FP <- FN <- NP <- 0
	NN <- ncol(pTrue)
	r0 <- NN*(NN-1)/2
	for (i in 1:NN){
		for (j in 1:NN){
			if (i != j){
				if (pTrue[i,j]==1){NP <- NP + 1}
				if (pTrue[i,j]==0 & pTest[i,j]==1){FP <- FP + 1}
				if (pTrue[i,j]==1 & pTest[i,j]==0){FN <- FN + 1}
			}
		}
	}
	FPR <- FP/r0
	if (NP==0){
		FNR <- 0
	} else {
		FNR <- FN/NP
	}
	return(list(FPR=FPR, FNR=FNR, r0=r0, NP=NP, FP=FP, FN=FN))
}
