convert2EdgeList <- function(poset){
	p <- nrow(poset)
	edgeList <- list()
	if (is.null(rownames(poset))){
		for (i in 1:p){
			for (j in 1:p){
				if (poset[i,j]==1){
					edgeList <- c(edgeList, i, j)
				}
			}
		}
	} else {
		for (i in 1:p){
			for (j in 1:p){
				if (poset[i,j]==1){
					edgeList <- c(edgeList, rownames(poset)[i], rownames(poset)[j])
				}
			}
		}
	}
	edgeList <- as.vector(unlist(edgeList))
	return(edgeList)
}
