map2HyperCube <- function (X, Y)
{
    N <- nrow(X)
    p <- ncol(X)
    E <- p - (1:p)
    N_H <- 2^p
    D <- vector(mode = "list", N_H)
    for (i in 1:N) {
        idx = 1 + sum(X[i, ] * 2^E)
        D[[idx]] = c(D[[idx]], Y[i])
    }
    return(D)
}