printParams <- function(params, message=NULL, extended=FALSE){
	if (!is.null(message)){cat(message, "\n")}
	cat("lObs: ",params$lObs, ", thetas: ", paste(round(params$thetas,2), collapse=", ") , ", epsilon: ", round(params$epsilon,2),
			", mus: ", paste(round(params$mus,2), collapse=", "), ", sigma2: ", round(params$sigma2,2), sep="", "\n")
	if (!is.null(params$betas)){
	 cat("betas for linear regression: ", paste(round(params$betas,2), collapse=", "), sep="", "\n")
	}
	if (extended){
		cat("P: ", paste(params$P, collapse=","), sep="", "\n")
		cat("G: ", paste(params$G, collapse=","), sep="", "\n")
	}
}