probCbn <- function(G, H, thetas){
	## All patterns which can be generated
	HG <- H[as.logical(G),]
	## Number of patterns in the lattice
	NG <- nrow(HG)
	## Speed up calculation and take logs only once
	oneMinusTheta = 1 - thetas
	probCbn <- vector(mode="numeric", NG)
	for (g in 1:NG){
		probCbn[g] <- prod(thetas[as.logical(HG[g,])]) * prod(oneMinusTheta[exitSet(G, HG[g,])])
	}
	return(probCbn)
}
