probIso <- function(Y, mus, sigma2){
	## The number of genotypes in the lattice 
	NG <- length(mus)
	## The number of observations.
	N <- length(Y)
	probIso <- matrix(0, nr=N, nc=NG)
	for(i in 1:N){ 
		for (g in 1:NG){
			probIso[i, g] <- dnorm(Y[i], mean=mus[g], sd=sqrt(sigma2))
		}
	}	
	return(probIso)
}
