\name{convertRest2Poset}
\alias{convertRest2Poset}
\title{
Converts a set of restrictions to a poset.
}
\description{
Converts a set of restrictions to a poset.
}
\usage{
convertRest2Poset(restrMat, p)
}
\arguments{
  \item{restrMat}{
An n x 2 matrix with the restrictions.
}
  \item{p}{
Number of the events in the poset.
}
}
\value{
Matrix containing the poset.
}
\author{
Patrick Knupfer
}
\examples{
	restr <- matrix(c(1,2,1,3,2,3,1,5,2,5), nc=2, byrow=TRUE)
	pos <- convertRest2Poset(restr, 5)
	## plotPoset(pos)
}
\keyword{ utilities }

