\name{hammingDistance}
\alias{hammingDistance}
\title{ Calculates the Hamming distance between two binary vectors. }
\description{
The number of differences in the two input vectors.
Character vectors will be converted to numeric.
}
\usage{
hammingDistance(x, y)
}
\arguments{
  \item{x}{ Vector containing ones and zeroes. }
  \item{y}{ Vector containing ones and zeroes. }
}
\details{
Simple count of the differences.
}
\value{
  Returns the number of differences.
}
\author{ Patrick Knupfer }
\examples{
	x <- c(1,1,1,0,0,0)
	y <- c(1,0,1,0,0,1)
	hammingDistance(x,y)
}
\keyword{ utilities }
