\name{hasse}
\alias{hasse}
\title{ Cover relations of a poset. }
\description{
Returns the cover relations of a poset.
}
\usage{
hasse(poset)
}
\arguments{
  \item{poset}{ The poset in form of a matrix. }
}
\value{
  The cover relations of the poset. 
}
\author{ Patrick Knupfer }
\note{ Ported MATLAB code from Niko Beerenwinkel to R. 
}
\examples{
	(pTrans <- matrix(c(0,1,1,1,0,0,1,1,0,0,0,1,0,0,0,0), nc=4, byrow=TRUE))
	vertexLabels <- paste("Event",1:ncol(pTrans), sep="_") 
	(pHasse <- hasse(pTrans))
	#par(mfrow=c(1,2))
	#plotPoset(pTrans, vertexLabels=vertexLabels, hasse=TRUE)
	#plotPoset(pTrans, vertexLabels=vertexLabels, hasse=FALSE)
}
\keyword{ utilities }
