\name{map2HyperCube}
\alias{map2HyperCube}
\title{ Maps the observed phenotypes to the hypercube. }
\description{
Maps observations to data structure indexed by hypercube elements
}
\usage{
map2HyperCube(X, Y)
}
\arguments{
  \item{X}{ Matrix with the observed genotypes. }
  \item{Y}{ Vector of observed phenotypes. }
}
\value{
  D, the data in a data structre indexed by the hypercube elements.
}
\author{ Patrick Knupfer }
\note{ Ported MATLAB code from Niko Beerenwinkel to R. 
}
\examples{
	Y <- zdv[,1]
	X <- zdv[,-1]
	(D <- map2HyperCube(X,Y))
}
\keyword{ utilities }
